Bug 261 - Patch to pam_winbind.h to compile on FreeBSD
Patch to pam_winbind.h to compile on FreeBSD
Product: Samba 3.0
Classification: Unclassified
Component: winbind
All FreeBSD
: P2 major
: 3.0.0rc3
Assigned To: Tim Potter
Depends on:
  Show dependency treegraph
Reported: 2003-07-29 13:58 UTC by Christopher Masto
Modified: 2005-11-14 09:27 UTC (History)
1 user (show)

See Also:

Patch to compile winbindd on FreeBSD 5.1 (587 bytes, patch)
2003-07-29 13:59 UTC, Christopher Masto
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Masto 2003-07-29 13:58:52 UTC
FreeBSD (5.1 at least) is among the operating systems that spell
PAM_AUTHTOK_RECOVER_ERR with a "Y".  A simple patch is required to compile with
winbindd enabled.
Comment 1 Christopher Masto 2003-07-29 13:59:59 UTC
Created attachment 61 [details]
Patch to compile winbindd on FreeBSD 5.1
Comment 2 Tim Potter 2003-07-29 16:38:47 UTC
Chris, did you change any other files to get winbindd to compile?  According to
the version in CVS winbindd (and pam_winbind.so) is only compiled if the host os
is one of linux, irix, solaris, hpux or aix.
Comment 3 Tim Potter 2003-07-29 16:39:08 UTC
Comment 4 Christopher Masto 2003-07-30 06:13:48 UTC

I ran configure --with-winbind.  If I understand correctly, and somewhat
contrary to the old documentation, winbindd is now used for allocating RIDs in
an LDAP environment, and not just for authenticating against a Windows DC. 
There is a "WITH_WINBIND" option in the FreeBSD port Makefile for samba-devel,
so at least at one point, someone expected it to work.

Comment 5 Tim Potter 2003-07-30 17:22:00 UTC
OK.  I'll add freebsd to the list of supported operating systems so winbindd is
compiled automatically!
Comment 6 Gerald (Jerry) Carter 2003-08-15 18:55:42 UTC
can we mark this as fixed now?
Comment 7 Christopher Masto 2003-08-20 08:15:04 UTC
As far as I can tell, this patch never made it in.

nsswitch/pam_winbind.c: In function `_winbind_read_password':
nsswitch/pam_winbind.c:309: `PAM_AUTHTOK_RECOVER_ERR' undeclared (first use in this 
*** Error code 1
Comment 8 Tim Potter 2003-08-25 17:36:26 UTC
Sorry, I had only half fixed this one.  I was having trouble with the build farm
scripts and got distracted by something else.  )-:
Comment 9 Tim Potter 2003-09-01 17:09:47 UTC
I've checked in your patch, just waiting for the build farm to catch up.
Comment 10 Tim Potter 2003-09-02 18:50:54 UTC
Finally I think this is fixed!
Comment 11 Gerald (Jerry) Carter 2005-02-07 08:41:21 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 12 Gerald (Jerry) Carter 2005-08-24 10:17:22 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 13 Gerald (Jerry) Carter 2005-11-14 09:27:23 UTC
database cleanup